#!/bin/sh

echo "post-install"

CONTAINER_TEST=$(docker ps -a | grep Aria2-AriaNg | awk '{print $1}')

if [ ! -z $CONTAINER_TEST ]; then
	echo "Aria2-AriaNg container is there, remove it first."
	docker rm -f Aria2-AriaNg
fi


docker create -i -t --name=Aria2-AriaNg \
	-p 26080:8080 -p 6800:6800 \
	-e PGID=999 -e PUID=999 \
	-e SECRET=aria2admin \
	-v /etc/localtime:/etc/localtime:ro \
	-v /volume1/Docker/Aria2/config:/config:rw \
	-v /volume1/Video:/mnt:rw \
	--restart unless-stopped \
	auska/docker-aria2:latest

docker start Aria2-AriaNg

exit 0
